﻿DBM_PN = {
	["en"] = {
		[270] = {
			"updated .toc file for World of Warcraft 2.1.0",
			"fixed battleground win timer and class color function",
			"fixed Leotheras boss mod",
			"fixed Lurker boss mod",
			"fixed Gruul boss mod",
			"fixed Karazhan boss mods",
			"updated the Serpentshrine zone localizations",
			"added zhTW localization for Karazhan (thanks to Dean, kc10577 and jrkid)",
			"updated esES localization (thanks to Geran from Dun Modr)",
			"updated deDE localization (thanks to Xerôn)",
			"/dbm stop will no longer remove custom timers",
			"the Void Reaver boss mod will now detect Arcane Orb on dps warriors",
			"the Maiden of Virtue mod will now use her yell to detect repentance",
			"added more synchronization commands for some boss mods",
			"added High Astromancer Solarian mod",
			"added Lady Vashj boss mod",
			"added Al'ar boss mod",
			"added Kael'thas boss mod"
		},
	},
}

StaticPopupDialogs["COPY_DBM_URL"] = {
	text = DBM_COPY_PASTE_NOW,
	button1 = DBM_CLOSE,
	hasEditBox = 1,	
	button2 = "",
	
	OnShow = function()
		getglobal(this:GetName().."EditBox"):SetText("http://www.deadlybossmods.com");
		getglobal(this:GetName().."EditBox"):SetFocus();
		getglobal(this:GetName().."EditBox"):HighlightText();
		getglobal(this:GetName().."Button2"):Hide();
		getglobal(this:GetName().."Button1"):ClearAllPoints();
		getglobal(this:GetName().."Button1"):SetPoint("TOP", getglobal(this:GetName().."EditBox"), "BOTTOM", 0, -8);		
	end,
	OnHide = function()
		if ( ChatFrameEditBox:IsVisible() ) then
			ChatFrameEditBox:SetFocus();
		end
		getglobal(this:GetName().."EditBox"):SetText("");
		getglobal(this:GetName().."Button2"):Show();
	end,
	EditBoxOnEnterPressed = function()
		this:GetParent():Hide();
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide();
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["OLD_VERSION_DETECTED"] = {
	text = DBM_ERROR_LVBM_STILL_LOADED,
	button1 = DBM_DISABLE_AND_RELOAD,
	
	OnAccept = function()
		DisableAddOn("LVBM_API");
		ReloadUI();
	end,
	
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
};